Bug 455900 - [QLogic 5.3 feat] qla2xxx - mgmt. API, CT pass thru
[QLogic 5.3 feat] qla2xxx - mgmt. API, CT pass thru
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
high Severity high
: beta
: ---
Assigned To: Marcus Barrow
Martin Jenner
: FutureFeature, OtherQA
Depends On:
Blocks: 415811
  Show dependency treegraph
Reported: 2008-07-18 13:16 EDT by Marcus Barrow
Modified: 2009-06-20 00:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 14:59:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
CT pass thru kernel patch (19.13 KB, patch)
2008-08-07 13:54 EDT, Marcus Barrow
no flags Details | Diff

  None (edit)
Description Marcus Barrow 2008-07-18 13:16:47 EDT
This patch provides information for our management API for Fibre Channel devices. This provides 
functionality that would formerly have been performed by ioctl's. It creates two more entries in sysfs, 
along with our VPD info, SFP info and option rom control. These entries are used to pass thru commands.

Tested at QLogic. I believe it's submitted or queued for upstream. ( person on vacation )
Comment 1 Andrius Benokraitis 2008-07-21 10:36:43 EDT
Marcus, please post the patch ASA it's upstream... thanks!
Comment 4 Marcus Barrow 2008-08-07 13:54:14 EDT
Created attachment 313723 [details]
CT pass thru kernel patch

Attaching kernel patch.
Comment 5 Don Zickus 2008-09-15 10:18:13 EDT
in kernel-2.6.18-115.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 Chris Ward 2008-11-14 09:05:08 EST
~~~ Attention Partners! ~~~

Please test this URGENT / HIGH priority bug at your earliest convenience to ensure it makes it into the upcoming RHEL 5.3 release. The fix should be present in the Partner Snapshot #2 (kernel*-122), available NOW at ftp://partners.redhat.com. As we are approaching the end of the RHEL 5.3 test cycle, it is critical that you report back testing results as soon as possible. 

If you have VERIFIED the fix, please add PartnerVerified to the Bugzilla Keywords field to indicate this. If you find that this issue has not been properly fixed, set the bug status to ASSIGNED with a comment describing the issues you encountered.

All NEW issues encountered (not part of this bug fix) should have a new bug created with the proper keywords and flags set to trigger a review for their inclusion in the upcoming RHEL 5.3 or other future release. Post a link in this bugzilla pointing to the new issue to ensure it is not overlooked.

For any additional questions, speak with your Partner Manager.
Comment 9 Chris Ward 2008-11-18 13:13:33 EST
~~ Snapshot 3 is now available ~~ 

Snapshot 3 is now available for Partner Testing, which should contain a fix that resolves this bug. ISO's available as usual at ftp://partners.redhat.com. Your testing feedback is vital! Please let us know if you encounter any NEW issues (file a new bug) or if you have VERIFIED the fix is present and functioning as expected (add PartnerVerified Keyword).

Ping your Partner Manager with any additional questions. Thanks!
Comment 10 Chris Ward 2008-11-28 01:45:12 EST
~~ Attention ~~ Snapshot 4 is now available for testing @ partners.redhat.com ~~

Partners, it is vital that we get your testing feedback on this important bug fix / feature request. If you are unable to test, please clearly indicate this in a comment to this bug or directly with your partner manager. If we do not receive your test feedback, this bug is at risk from being dropped from the release.

If you have VERIFIED the fix, please add PartnerVerified to the Bugzilla Keywords field, along with a description of the test results. 

If you encounter a new bug, CLONE this bug and request from your Partner manager to review. We are no longer excepting new bugs into the release, bar critical regressions.
Comment 11 Marcus Barrow 2008-12-01 17:55:33 EST
patch verified in 2.6.18-123.el5
Comment 13 errata-xmlrpc 2009-01-20 14:59:18 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.